osg::PixelStorageModes Struct Reference

`#include <GLU>`

## Public Member Functions

| PixelStorageModes ()
void | retrieveStoreModes ()
void | retrieveStoreModes3D ()

## Public Attributes

GLint | pack_alignment
GLint | pack_row_length
GLint | pack_skip_rows
GLint | pack_skip_pixels
GLint | pack_lsb_first
GLint | pack_swap_bytes
GLint | pack_skip_images
GLint | pack_image_height
GLint | unpack_alignment
GLint | unpack_row_length
GLint | unpack_skip_rows
GLint | unpack_skip_pixels
GLint | unpack_lsb_first
GLint | unpack_swap_bytes
GLint | unpack_skip_images
GLint | unpack_image_height

## Constructor & Destructor Documentation

## PixelStorageModes()

osg::PixelStorageModes::PixelStorageModes | ( |  | ) |

## Member Function Documentation

## retrieveStoreModes()

void osg::PixelStorageModes::retrieveStoreModes | ( |  | ) |

## retrieveStoreModes3D()

void osg::PixelStorageModes::retrieveStoreModes3D | ( |  | ) |

## Member Data Documentation

## pack_alignment

GLint osg::PixelStorageModes::pack_alignment

## pack_image_height

GLint osg::PixelStorageModes::pack_image_height

## pack_lsb_first

GLint osg::PixelStorageModes::pack_lsb_first

## pack_row_length

GLint osg::PixelStorageModes::pack_row_length

## pack_skip_images

GLint osg::PixelStorageModes::pack_skip_images

## pack_skip_pixels

GLint osg::PixelStorageModes::pack_skip_pixels

## pack_skip_rows

GLint osg::PixelStorageModes::pack_skip_rows

## pack_swap_bytes

GLint osg::PixelStorageModes::pack_swap_bytes

## unpack_alignment

GLint osg::PixelStorageModes::unpack_alignment

## unpack_image_height

GLint osg::PixelStorageModes::unpack_image_height

## unpack_lsb_first

GLint osg::PixelStorageModes::unpack_lsb_first

## unpack_row_length

GLint osg::PixelStorageModes::unpack_row_length

## unpack_skip_images

GLint osg::PixelStorageModes::unpack_skip_images

## unpack_skip_pixels

GLint osg::PixelStorageModes::unpack_skip_pixels

## unpack_skip_rows

GLint osg::PixelStorageModes::unpack_skip_rows

## unpack_swap_bytes

GLint osg::PixelStorageModes::unpack_swap_bytes

The documentation for this struct was generated from the following file:

- GLU